<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRanksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ranks', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');            
            $table->text('acces_level');
            $table->boolean('schedule_see');          
            $table->boolean('schedule_edit');          
            $table->boolean('schedule_notify');          
            $table->boolean('message_see');          
            $table->boolean('message_edit');          
            $table->boolean('message_notify');            
            $table->boolean('paper_edit');          
            $table->boolean('paper_publish');         
            $table->boolean('paper_notify');                   
            $table->boolean('inventory_see');          
            $table->boolean('inventory_edit');          
            $table->boolean('inventory_notify');          
            $table->boolean('user_see');          
            $table->boolean('user_edit');          
            $table->boolean('user_notify');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ranks');
    }
}
